<?php
/*
 * @copyright 	2012 (c) By Bright Solutions GmbH
 * @author		Marc Sven Kleinboehl
 *
 * This include file contains all of the functions for configuration of the updatescript processor.
 */

/*
 * The form callback which defines the form for configurating the updatescript processor.
 */
function _updatescript_configuration_form ($form_state) {
  
  $settings = variable_get ('updatescript', array ());
  
  $form[] = array (
    '#type'         => 'fieldset',
    '#title'	      => t('Updatescript processor settings'),
    '#tree'		      => TRUE,
    '#description'	=> t('This settings form contains all the config forms of the submodules of the updatescript processor.')
  );
  
  module_invoke_all('updatescript_config_form', $form, $form_state, $settings);
  
  return system_settings_form ($form);
}

